<?php
namespace Fifa\ConnectId\Sdk\Util\Initializer;

use Fifa\ConnectId\Sdk\Api\Model\PersonRegistrationsType as PersonRegistrations;

/**
 * Class AddRegistrationsRequestType
 * @package Fifa\ConnectId\Sdk\Util\Initializer
 */
trait AddRegistrationsRequestType
{
    /**
     * Initialize AddRegistrationsRequestType with default values
     */
    public function initialize()
    {
        if (is_null($this->container['person_id'])) {
            $this->container['person_id'] = '';
        }

        if (is_null($this->container['registrations'])) {
            $this->container['registrations'] = new PersonRegistrations();
        }
    }
}